import BN = require('bn.js');
import { Operation } from '../operation';
import { Address } from '../types';
import { Scheme } from '../scheme';
export declare class CTL4RScheme {
    scheme: Scheme;
    constructor(scheme: Scheme);
    getAgreementHash(): Promise<string>;
    getReputationRewardForLockingIds(lockingIds: number[], batchIndex: number, repuationRewardForPeriod: BN): Promise<BN>;
    lock(amount: BN, period: number, batchIndexToLockIn: number, agreementHash: string): Operation<any>;
    extendLocking(extendPeriod: number, batchIndexToLockIn: number, lockingId: number, agreementHash: string): Operation<any>;
    release(beneficiary: Address, lockingId: number): Operation<any>;
    getContract(): Promise<any>;
    getScheme(): Scheme;
}
